OpenSILEX developer documentation
====================================

# Overview

This repository contains OpenSILEX's developer documentation.

# Background
OpenSILEX is a collaborative meta-project developed at MISTEA joint research unit (INRA - SupAgro) at [MISTEA web page](https://www6.montpellier.inra.fr/mistea).
More information on OpenSILEX is available at [OpenSILEX web page](http://www.opensilex.org/).

# Issues
This documentation is currently under development.
If you find some flaws in this documentation, you are welcome to report them in this repository's [GitHub issues](https://github.com/OpenSILEX/opensilex/issues).


Concerning issues with OpenSILEX itself, users are invited to report them via [OpenSILEX's Mantis](https://opensilex.org/mantisbt).

OpenSILEX's development team can also be contacted through its official email address [opensilex@gmail.com](mailto:opensilex@gmail.com) or through the mailing list [opensilex-help@groupes.renater.fr](mailto:opensilex-help@groupes.renater.fr) when reporting a bug or seeking help.

# Keep up to date
In order to keep informed of the latest OpenSILEX development you can :

- follow our twitter feed [@OpenSilex](https://twitter.com/OpenSilex)
- subscribe to the [opensilex@groupes.renater.fr mailing list](https://groupes.renater.fr/sympa/subscribe/opensilex) for general information
- subscribe to the [opensilex-dev@groupes.renater.fr mailing list](https://groupes.renater.fr/sympa/subscribe/opensilex-dev) for technical updates

# Contributors
Most contributors to this documentation work at the joint research unit MISTEA (INRA - SupAgro) in Montpellier :

- Pierre-Etienne Alary
- Morgane Vidal
- Anne Tireau
- Alice Boizet
- Sammy Gilles
- Vincent Migot
- Arnaud Charleroy
- Julien Bonnefont
- Renaud Colin
- Andreas Garcia
- Pascal Neveu
- Valentin Rigolle
- Maximilian Hart
- Brice Maussang
- Yvan Roux
- Sebastien Prado
- Alexia Chiavarino
- Sarra Abidri
- Gabriel Besombes

Every OpenSILEX developer or contributor is welcomed to enrich this repository with his experience with OpenSILEX.

# Table of content

## [Installation](./installation)

Contains general information on how to install OpenSILEX :
* [Install in development mode](./installation/development.md)
* [Install in production mode](./installation/production.md)

## [Architecture](./architecture)

Contains information on the project's architecture.

## [Databases](./databases)

## [FAQ](./faq)

## [File systems](./file-systems)

## [How-to](./how-to)

## [Modules](./modules)

## [Opensilex-nosql](./opensilex-nosql)

## [Opensilex-security](./opensilex-security)

## [Release](./release)

## [Specs](./specs)

## [User guide](./user-guide)

## [Vuejs](./vuejs)


# Version
&copy; OpenSILEX 1.1.0 - october 2023 ; Software is licensed under AGPL-3.0 and data under CC BY-NC-SA 4.0