# Migrate to 1.0.0-rc+5

## Data migration

Previously, data associated with a variable of type "date" where stored with a
wrong value. For example, trying to create the date entry with the value "2022-07-18"
would result in a data with the value "2022-07-17T22:00:00Z". This problem is now fixed
for new data entries, but old observations need to be adjusted. To do this, you must
run the following command :

```shell
# Connect to a console in OpenSILEX server
# From the directory which contains your OpenSILEX executable .jar file
java -jar opensilex.jar --CONFIG_FILE=<config_file> system run-update org.opensilex.migration.DataRectifyDateWithoutTimeValues
```

IMPORTANT : please run this command BEFORE importing any new data, because this command
will adjust all data of type date, including the new data.

## Position model data-scheme migration

When storing position into the move collection, we now use String representation 
of x,y,z fields instead of a previous Integer representation.
An update need to be executed in order to let OpenSilex handle existing positions

```shell
# Connect to a console in OpenSILEX server
# From the directory which contains your OpenSILEX executable .jar file
java -jar opensilex.jar --CONFIG_FILE=<config_file> system run-update org.opensilex.migration.MongoCustomCoordinatesDataTypeUpdate
```