
<!-- TOC -->
* [Migrate to 1.0.0-rc+7](#migrate-to-100-rc7)
  * [Changes on User model](#changes-on-user-model)
  * [Update of vocabulary/ontologies](#update-of-vocabularyontologies)
* [New functionality](#new-functionality)
  * [Shared variables](#shared-variables)
  * [Metrics and dashboard](#metrics-and-dashboard)
  * [Guest account](#guest-account)
  * [Neutral UI theme](#neutral-ui-theme)
<!-- TOC -->

# Migrate to 1.0.0-rc+7

## Changes on User model

> **Description**

- This migration is very important, else users will not be able to login, since
the data model expected by OpenSILEX differs from the old user model inside existing
databases.

> **Commit**
- **[Users]** Data model has been changed, old users are now split into accounts and persons -> 8ed0303a

> **Migration execution :** 

```shell
# Connect to a console in OpenSILEX server
# From the directory which contains your OpenSILEX executable .jar file
java -jar opensilex.jar --CONFIG_FILE=<config_file> system run-update org.opensilex.migration.AgentsMigrateToAccountAndPersons
```

See the migration `org.opensilex.migration.AgentsMigrateToAccountAndPersons` from [migration_command.md](..%2Fhow-to%2Fmigration_command.md)
for additional notes


## Update of vocabulary/ontologies

> **Description**

- Some important changes has been done on core ontologies. You need
to perform this update, especially for creating and importing devices

> **Commit**

- **[Ontology]** move some subclass and properties from oeso-ext ontology (phis) to oeso-core ontology -> ac1a451c3

> **Migration execution :**

```shell
# Connect to a console in OpenSILEX server
# From the directory which contains your OpenSILEX executable .jar file
java -jar opensilex.jar --CONFIG_FILE=<config_file> sparql reset-ontologies
```

# New functionality

## Shared variables

> **Description**

See [shared-resource-instances.md](..%2Finstallation%2Fconfiguration%2Fshared-resource-instances.md)

## Metrics and dashboard

> **Description**

See 
[metrics.md](..%2Finstallation%2Fconfiguration%2Fmetrics.md) and 
[dashboard.md](..%2Finstallation%2Fconfiguration%2Fdashboard.md)

## Guest account

> **Description**

See [Guest.md](..%2Fopensilex-security%2FGuest.md) for more informations

## Neutral UI theme

> **Description**

This version use a neutral front theme.
If you're interested in updating or adding a new theme, see
[modules.md](..%2Fhow-to%2Fmodules.md) and [theme.md](..%2Fhow-to%2Ftheme.md) for more documentation.