# Migrate to 1.3.0

## Migration of device metadata collection

- This command will rename all device fields that are stored in Mongo. If it is not done then there will be errors when getting/modifying any device's attributes

```bash
java -jar opensilex.jar --CONFIG_FILE=<config_file> system run-update org.opensilex.migration.DeviceAttributeModelRefactorMigration --DEBUG
```

## Reset ontologies

Multiple modifications have been made to the ontologies in this version. You will need to update the ontologies on your triple store :

```
java -jar opensilex.jar --CONFIG_FILE=<config_file> sparql reset-ontologies
```

## Remove External Ontologies Contexts

For this version, the migration process removes contexts representing external ontologies from the triple store. However, the concepts used from the external ontologies have been integrated into our core ontology, while the external ontologies themselves have been removed
### Description:

The migration script `UpdateOntologyContexts` removes the following external ontology contexts:

- `http://www.opensilex.org/security`
- `http://www.w3.org/ns/org`
- `http://xmlns.com/foaf/0.1/`
- `http://www.w3.org/2006/vcard/ns`
- `http://www.w3.org/ns/oa`
- `http://www.opensilex.org/vocabulary/oeev`
- `http://www.w3.org/2002/07/owl`
- `http://www.w3.org/2006/time`
- `http://purl.org/dc/terms/`

### Migration execution:

```shell
# Connect to a console in OpenSILEX server
# From the directory which contains your OpenSILEX executable .jar file
java -jar opensilex.jar --CONFIG_FILE=<config_file> system run-update org.opensilex.migration.UpdateOntologyContexts
```

See the migration `org.opensilex.migration.RemoveExternalOntologiesContexts`
from [migration_command.md](../how-to/migration_command.md) for additional notes
